Subject: bug#19701: 24.3; directory-files platform-dependent behaviour when directory doesn't exist

From: Eli Zaretskii <[email-masked]>
Date: Wed, 28 Jan 2015 17:37:41 +0200

> From: Vida Gábor <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 28 Jan 2015 12:45:53 +0100
> 
> > This was never a problem, though.  What exactly does Gnus do that this
> > subtlety gets in the way?
> 
> I'm migrating from Windows to GNU/Linux, and while I'm doing this Gnus didn't start
> properly with my old configuration. I use %F in gnus-group-line-format, which ends up
> calling gnus-total-fetched-for. This function calculates the total amount of disk
> space used by cache and agent. I use Gnus agent but don't use cache (gnus-use-cache
> is nil).
> 
> Later, gnus-cache-update-file-total-fetched-for iterates over the files that belong
> to the cahe of the group. This list in nil on Windows, so I had no problem, but on
> GNU/Linux, it raises an error, because I have no cache directory.

In that case, I probably should clarify how I fixed the problem: now
Emacs will signal an error on Windows as well.

I think there's a test missing in Gnus, but I'll defer to Gnus expert
to judge that.